## kde-baseapps 15.12.3

=== dolphin/src/CMakeLists.txt ===
macro_optional_find_package(Baloo)
set_package_properties(Baloo PROPERTIES DESCRIPTION "Baloo Core libraries"
                       URL "http://www.kde.org"
                       TYPE OPTIONAL
                       PURPOSE "For adding desktop-wide search and tagging support to dolphin"
                      )

macro_optional_find_package(BalooWidgets)
set_package_properties(BalooWidgets PROPERTIES DESCRIPTION "Baloos Widgets"
                       URL "http://www.kde.org"
                       TYPE OPTIONAL
                      )

macro_optional_find_package(KFileMetaData)
set_package_properties(KFileMetaData PROPERTIES
                       URL "https://projects.kde.org/kfilemetadata"
                       TYPE OPTIONAL
                       PURPOSE "For accessing file metadata labels"
                      )

if (Baloo_FOUND AND BalooWidgets_FOUND AND KFileMetaData_FOUND)
    set(HAVE_BALOO TRUE)
endif()

configure_file(config-baloo.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-baloo.h )

macro_bool_to_01(X11_Xrender_FOUND HAVE_XRENDER)
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h )

include_directories( ${KACTIVITIES_INCLUDE_DIRS} ${CMAKE_CURRENT_BINARY_DIR} )

if(HAVE_BALOO)
  include_directories(${BALOO_INCLUDE_DIR} ${BALOO_WIDGETS_INCLUDE_DIR} ${KFILEMETADATA_INCLUDE_DIR})
endif()

add_subdirectory(tests)

########### next target ###############

set(dolphinprivate_LIB_SRCS
    kitemviews/kfileitemlistview.cpp
    kitemviews/kfileitemlistwidget.cpp
    kitemviews/kfileitemmodel.cpp
    kitemviews/kfileitemmodelrolesupdater.cpp
    kitemviews/kitemlistcontainer.cpp
    kitemviews/kitemlistcontroller.cpp
    kitemviews/kitemlistgroupheader.cpp
    kitemviews/kitemlistheader.cpp
    kitemviews/kitemlistselectionmanager.cpp
    kitemviews/kitemliststyleoption.cpp
    kitemviews/kitemlistview.cpp
    kitemviews/kitemlistviewaccessible.cpp
    kitemviews/kitemlistwidget.cpp
    kitemviews/kitemmodelbase.cpp
    kitemviews/kitemset.cpp
    kitemviews/kstandarditem.cpp
    kitemviews/kstandarditemlistgroupheader.cpp
    kitemviews/kstandarditemlistwidget.cpp
    kitemviews/kstandarditemlistview.cpp
    kitemviews/kstandarditemmodel.cpp
    kitemviews/private/kdirectorycontentscounter.cpp
    kitemviews/private/kdirectorycontentscounterworker.cpp
    kitemviews/private/kfileitemclipboard.cpp
    kitemviews/private/kfileitemmodeldirlister.cpp
    kitemviews/private/kfileitemmodelfilter.cpp
    kitemviews/private/kitemlistheaderwidget.cpp
    kitemviews/private/kitemlistkeyboardsearchmanager.cpp
    kitemviews/private/kitemlistroleeditor.cpp
    kitemviews/private/kitemlistrubberband.cpp
    kitemviews/private/kitemlistselectiontoggle.cpp
    kitemviews/private/kitemlistsizehintresolver.cpp
    kitemviews/private/kitemlistsmoothscroller.cpp
    kitemviews/private/kitemlistviewanimation.cpp
    kitemviews/private/kitemlistviewlayouter.cpp
    kitemviews/private/kpixmapmodifier.cpp
    settings/additionalinfodialog.cpp
    settings/applyviewpropsjob.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewpropertiesdialog.cpp
    settings/viewpropsprogressinfo.cpp
    views/dolphinfileitemlistwidget.cpp
    views/dolphinitemlistview.cpp
    views/dolphinnewfilemenuobserver.cpp
    views/dolphinremoteencoding.cpp
    views/dolphinview.cpp
    views/dolphinviewactionhandler.cpp
    views/draganddrophelper.cpp
    views/renamedialog.cpp
    views/tooltips/filemetadatatooltip.cpp
    views/tooltips/tooltipmanager.cpp
    views/versioncontrol/updateitemstatesthread.cpp
    views/versioncontrol/versioncontrolobserver.cpp
    views/viewmodecontroller.cpp
    views/viewproperties.cpp
    views/zoomlevelinfo.cpp
    dolphinremoveaction.cpp
    dolphinnewfilemenu.cpp
)

if(HAVE_BALOO)
    set(dolphinprivate_LIB_SRCS
        ${dolphinprivate_LIB_SRCS}
        kitemviews/private/kbaloorolesprovider.cpp
    )
endif()

kde4_add_kcfg_files(dolphinprivate_LIB_SRCS
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_directoryviewpropertysettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

kde4_add_library(dolphinprivate4 SHARED ${dolphinprivate_LIB_SRCS})

target_link_libraries(
    dolphinprivate4
    ${KDE4_KFILE_LIBS}
    konq
    ${KDE4_KNEWSTUFF3_LIBS}
)

if(HAVE_BALOO)
    target_link_libraries(
        dolphinprivate4
        ${BALOO_LIBRARIES}
        ${BALOO_WIDGETS_LIBRARY}
        ${KFILEMETADATA_LIBRARY}
    )
endif()

if(X11_Xrender_FOUND)
    target_link_libraries(dolphinprivate4 ${X11_Xrender_LIB})
endif(X11_Xrender_FOUND)

target_link_libraries(dolphinprivate4 ${KDE4_PLASMA_LIBS})

set_target_properties(dolphinprivate4 PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS dolphinprivate4  ${INSTALL_TARGETS_DEFAULT_ARGS})

##########################################

set(dolphinpart_SRCS
   dolphinpart.cpp
)

# Add dolphinpart_ext.cpp conditionally, only with KDE > 4.9.1.
if (${KDE_VERSION} VERSION_GREATER "4.9.1")
set(dolphinpart_SRCS
    ${dolphinpart_SRCS}
    dolphinpart_ext.cpp)
endif (${KDE_VERSION} VERSION_GREATER "4.9.1")

kde4_add_plugin(dolphinpart ${dolphinpart_SRCS})

target_link_libraries(dolphinpart dolphinprivate4 konq ${KDE4_KPARTS_LIBS} ${KDE4_KFILE_LIBS})

install(TARGETS dolphinpart DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES dolphinpart.rc DESTINATION ${DATA_INSTALL_DIR}/dolphinpart)
install(FILES dolphinpart.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install(FILES views/versioncontrol/fileviewversioncontrolplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

##########################################

set(dolphin_SRCS
    dolphinapplication.cpp
    dolphindockwidget.cpp
    dolphinmainwindow.cpp
    dolphinviewcontainer.cpp
    dolphincontextmenu.cpp
    dolphintabbar.cpp
    dolphinrecenttabsmenu.cpp
    dolphintabpage.cpp
    dolphintabwidget.cpp
    filterbar/filterbar.cpp
    main.cpp
    panels/information/filemetadataconfigurationdialog.cpp
    panels/information/informationpanel.cpp
    panels/information/informationpanelcontent.cpp
    panels/information/pixmapviewer.cpp
    panels/information/phononwidget.cpp
    panels/places/placespanel.cpp
    panels/places/placesitem.cpp
    panels/places/placesitemeditdialog.cpp
    panels/places/placesitemlistgroupheader.cpp
    panels/places/placesitemlistwidget.cpp
    panels/places/placesitemmodel.cpp
    panels/places/placesitemsignalhandler.cpp
    panels/places/placesview.cpp
    panels/panel.cpp
    panels/folders/foldersitemlistwidget.cpp
    panels/folders/treeviewcontextmenu.cpp
    panels/folders/folderspanel.cpp
    search/dolphinfacetswidget.cpp
    search/dolphinsearchbox.cpp
    settings/general/behaviorsettingspage.cpp
    settings/general/configurepreviewplugindialog.cpp
    settings/general/confirmationssettingspage.cpp
    settings/general/generalsettingspage.cpp
    settings/general/previewssettingspage.cpp
    settings/general/statusbarsettingspage.cpp
    settings/dolphinsettingsdialog.cpp
    settings/navigation/navigationsettingspage.cpp
    settings/services/servicessettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp
    settings/startup/startupsettingspage.cpp
    settings/trash/trashsettingspage.cpp
    settings/viewmodes/dolphinfontrequester.cpp
    settings/viewmodes/viewsettingspage.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewmodes/viewsettingstab.cpp
    statusbar/dolphinstatusbar.cpp
    statusbar/mountpointobserver.cpp
    statusbar/mountpointobservercache.cpp
    statusbar/spaceinfoobserver.cpp
    statusbar/statusbarspaceinfo.cpp
    views/zoomlevelinfo.cpp
)

kde4_add_kcfg_files(dolphin_SRCS
    panels/folders/dolphin_folderspanelsettings.kcfgc
    panels/information/dolphin_informationpanelsettings.kcfgc
    panels/places/dolphin_placespanelsettings.kcfgc
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    search/dolphin_searchsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

if(NOT WIN32)
   set(dolphin_SRCS ${dolphin_SRCS} panels/terminal/terminalpanel.cpp)
endif(NOT WIN32)

kde4_add_app_icon(dolphin_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/apps/system-file-manager.png")

kde4_add_kdeinit_executable(dolphin4 ${dolphin_SRCS})

target_link_libraries(kdeinit_dolphin4
    ${KDE4_KDEPRINT_LIBS}
    ${KDE4_KFILE_LIBS}
    ${KDE4_KPARTS_LIBS}
    ${KDE4_KCMUTILS_LIBRARY}
    konq
    dolphinprivate4
    knewstuff3
    ${KDE4_SOLID_LIBS}
    ${KDE4_PHONON_LIBS}
)

if(HAVE_BALOO)
    target_link_libraries(kdeinit_dolphin4
        ${BALOO_LIBRARIES}
        ${BALOO_WIDGETS_LIBRARY}
    )
endif()

if (KActivities_FOUND)
    target_link_libraries(
        kdeinit_dolphin4
        ${KACTIVITIES_LIBRARY}
    )
endif (KActivities_FOUND)

install(TARGETS kdeinit_dolphin4 ${INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS dolphin4 ${INSTALL_TARGETS_DEFAULT_ARGS})

##########################################

set(kcm_dolphinviewmodes_PART_SRCS
    settings/kcm/kcmdolphinviewmodes.cpp
    settings/viewmodes/dolphinfontrequester.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewmodes/viewsettingstab.cpp
    views/zoomlevelinfo.cpp)

set(kcm_dolphinnavigation_PART_SRCS
    settings/kcm/kcmdolphinnavigation.cpp
    settings/navigation/navigationsettingspage.cpp
    settings/settingspagebase.cpp)

set(kcm_dolphinservices_PART_SRCS
    settings/kcm/kcmdolphinservices.cpp
    settings/services/servicessettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp)

set(kcm_dolphingeneral_PART_SRCS
    settings/kcm/kcmdolphingeneral.cpp
    settings/general/behaviorsettingspage.cpp
    settings/general/previewssettingspage.cpp
    settings/general/configurepreviewplugindialog.cpp
    settings/general/confirmationssettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp)

kde4_add_kcfg_files(kcm_dolphinviewmodes_PART_SRCS
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_directoryviewpropertysettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

kde4_add_kcfg_files(kcm_dolphinnavigation_PART_SRCS
    settings/dolphin_generalsettings.kcfgc)

kde4_add_kcfg_files(kcm_dolphinservices_PART_SRCS
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc)

kde4_add_kcfg_files(kcm_dolphingeneral_PART_SRCS
    settings/dolphin_generalsettings.kcfgc)

kde4_add_plugin(kcm_dolphinviewmodes ${kcm_dolphinviewmodes_PART_SRCS})
kde4_add_plugin(kcm_dolphinnavigation ${kcm_dolphinnavigation_PART_SRCS})
kde4_add_plugin(kcm_dolphinservices ${kcm_dolphinservices_PART_SRCS})
kde4_add_plugin(kcm_dolphingeneral ${kcm_dolphingeneral_PART_SRCS})

target_link_libraries(kcm_dolphinviewmodes  ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} dolphinprivate4)
target_link_libraries(kcm_dolphinnavigation  ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} dolphinprivate4)
target_link_libraries(kcm_dolphinservices  ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KNEWSTUFF3_LIBRARY} dolphinprivate4)
target_link_libraries(kcm_dolphingeneral ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} dolphinprivate4)

install(TARGETS kcm_dolphinviewmodes DESTINATION ${PLUGIN_INSTALL_DIR} )
install(TARGETS kcm_dolphinnavigation DESTINATION ${PLUGIN_INSTALL_DIR} )
install(TARGETS kcm_dolphinservices DESTINATION ${PLUGIN_INSTALL_DIR} )
install(TARGETS kcm_dolphingeneral DESTINATION ${PLUGIN_INSTALL_DIR} )

=== konq-plugins/autorefresh/CMakeLists.txt ===




########### next target ###############

set(autorefresh_PART_SRCS autorefresh.cpp )

kde4_add_plugin(autorefresh ${autorefresh_PART_SRCS})



target_link_libraries(autorefresh  ${KDE4_KPARTS_LIBS} )

install(TARGETS autorefresh  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES autorefresh.rc autorefresh.desktop  DESTINATION  ${DATA_INSTALL_DIR}/khtml/kpartplugins )
install( FILES autorefresh.rc autorefresh.desktop  DESTINATION  ${DATA_INSTALL_DIR}/kwebkitpart/kpartplugins )

=== konq-plugins/dirfilter/CMakeLists.txt ===
########### next target ###############

if (${KDE_VERSION} VERSION_GREATER "4.9.1")

set(dirfilterplugin_PART_SRCS dirfilterplugin.cpp )

kde4_add_plugin(dirfilterplugin  ${dirfilterplugin_PART_SRCS})

target_link_libraries(dirfilterplugin ${KDE4_KPARTS_LIBS})

install(TARGETS dirfilterplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES dirfilterplugin.rc dirfilterplugin.desktop  DESTINATION  ${DATA_INSTALL_DIR}/dolphinpart/kpartplugins )

endif (${KDE_VERSION} VERSION_GREATER "4.9.1")

=== konq-plugins/shellcmdplugin/CMakeLists.txt ===

########### next target ###############

set(konq_shellcmdplugin_PART_SRCS kshellcmdexecutor.cpp kshellcmddialog.cpp kshellcmdplugin.cpp )


kde4_add_plugin(konq_shellcmdplugin ${konq_shellcmdplugin_PART_SRCS})


target_link_libraries(konq_shellcmdplugin ${KDE4_KPARTS_LIBS} ${KDE4_KDESU_LIBS})

install(TARGETS konq_shellcmdplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############
install( FILES kshellcmdplugin.rc kshellcmdplugin.desktop  DESTINATION  ${DATA_INSTALL_DIR}/dolphinpart/kpartplugins )

=== dolphin/src/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_BUILD_DIR}/.. ${KDE4_INCLUDES} )

# needed on windows to correctly use the files from dolphinprivate4
add_definitions(-DLIBDOLPHINPRIVATE_EXPORT=)

# KItemSetTest
set(kitemsettest_SRCS
    kitemsettest.cpp
    ../kitemviews/kitemset.cpp
)
kde4_add_unit_test(kitemsettest TEST ${kitemsettest_SRCS})
target_link_libraries(kitemsettest dolphinprivate4 ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY})

# KItemRangeTest
set(kitemrangetest_SRCS
    kitemrangetest.cpp
)
kde4_add_unit_test(kitemrangetest TEST ${kitemrangetest_SRCS})
target_link_libraries(kitemrangetest dolphinprivate4 ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY})

# KItemListSelectionManagerTest
set(kitemlistselectionmanagertest_SRCS
    kitemlistselectionmanagertest.cpp
    ../kitemviews/kitemlistselectionmanager.cpp
    ../kitemviews/kitemmodelbase.cpp
    ../kitemviews/kitemset.cpp
)
kde4_add_unit_test(kitemlistselectionmanagertest TEST ${kitemlistselectionmanagertest_SRCS})
target_link_libraries(kitemlistselectionmanagertest dolphinprivate4 ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY})

# KItemListControllerTest
set(kitemlistcontrollertest_SRCS
    kitemlistcontrollertest.cpp
    testdir.cpp
    ../kitemviews/kfileitemmodel.cpp
    ../kitemviews/kfileitemlistview.cpp
    ../kitemviews/kfileitemlistwidget.cpp
    ../kitemviews/kitemmodelbase.cpp
    ../kitemviews/kitemlistview.cpp
    ../kitemviews/kitemlistcontainer.cpp
    ../kitemviews/kitemlistwidget.cpp
    ../kitemviews/kitemlistviewaccessible.cpp
    ../kitemviews/kitemset.cpp
    ../kitemviews/kstandarditemlistview.cpp
    ../kitemviews/kstandarditemlistwidget.cpp
)
kde4_add_unit_test(kitemlistcontrollertest TEST ${kitemlistcontrollertest_SRCS})
target_link_libraries(kitemlistcontrollertest dolphinprivate4 ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY})

# KFileItemListViewTest
set(kfileitemlistviewtest_SRCS
    kfileitemlistviewtest.cpp
    testdir.cpp
    ../kitemviews/kfileitemmodel.cpp
    ../kitemviews/kfileitemlistview.cpp
    ../kitemviews/kitemmodelbase.cpp
    ../kitemviews/kitemlistview.cpp
    ../kitemviews/kitemlistviewaccessible.cpp
    ../kitemviews/kitemlistcontainer.cpp
    ../kitemviews/kitemlistwidget.cpp
    ../kitemviews/kitemset.cpp
    ../kitemviews/kstandarditemlistview.cpp
    ../kitemviews/kstandarditemlistwidget.cpp
)
kde4_add_unit_test(kfileitemlistviewtest TEST ${kfileitemlistviewtest_SRCS})
target_link_libraries(kfileitemlistviewtest dolphinprivate4 ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY})

# KFileItemModelTest
set(kfileitemmodeltest_SRCS
    kfileitemmodeltest.cpp
    testdir.cpp
    ../kitemviews/kfileitemmodel.cpp
    ../kitemviews/kitemmodelbase.cpp
    ../kitemviews/kitemset.cpp
)
kde4_add_unit_test(kfileitemmodeltest TEST ${kfileitemmodeltest_SRCS})
target_link_libraries(kfileitemmodeltest dolphinprivate4 ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY})

# KFileItemModelBenchmark
set(kfileitemmodelbenchmark_SRCS
    kfileitemmodelbenchmark.cpp
    testdir.cpp
    ../kitemviews/kfileitemmodel.cpp
    ../kitemviews/kitemmodelbase.cpp
)
kde4_add_executable(kfileitemmodelbenchmark TEST ${kfileitemmodelbenchmark_SRCS})
target_link_libraries(kfileitemmodelbenchmark dolphinprivate4 ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY})

# KItemListKeyboardSearchManagerTest
set(kitemlistkeyboardsearchmanagertest_SRCS
    kitemlistkeyboardsearchmanagertest.cpp
    ../kitemviews/private/kitemlistkeyboardsearchmanager.cpp
)
kde4_add_unit_test(kitemlistkeyboardsearchmanagertest TEST ${kitemlistkeyboardsearchmanagertest_SRCS})
target_link_libraries(kitemlistkeyboardsearchmanagertest ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY})

# DolphinSearchBox
if (Baloo_FOUND)
  set(dolphinsearchboxtest_SRCS
      dolphinsearchboxtest.cpp
      ../search/dolphinfacetswidget.cpp
      ../search/dolphinsearchbox.cpp
  )
  kde4_add_kcfg_files(dolphinsearchboxtest_SRCS
      ../search/dolphin_searchsettings.kcfgc
  )
  kde4_add_unit_test(dolphinsearchboxtest TEST ${dolphinsearchboxtest_SRCS})
  target_link_libraries(dolphinsearchboxtest ${KDE4_KIO_LIBS} ${BALOO_LIBRARIES} ${QT_QTTEST_LIBRARY})
endif (Baloo_FOUND)

# KStandardItemModelTest
set(kstandarditemmodeltest_SRCS
    kstandarditemmodeltest.cpp
    ../kitemviews/kstandarditem.cpp
    ../kitemviews/kstandarditemmodel.cpp
    ../kitemviews/kitemmodelbase.cpp
)
kde4_add_unit_test(kstandarditemmodeltest TEST ${kstandarditemmodeltest_SRCS})
target_link_libraries(kstandarditemmodeltest dolphinprivate4 ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY})

# ViewPropertiesTest
set(viewpropertiestest_SRCS
    viewpropertiestest.cpp
    testdir.cpp
    ../views/viewproperties.cpp
)
kde4_add_kcfg_files(viewpropertiestest_SRCS
  ../settings/dolphin_generalsettings.kcfgc
  ../settings/dolphin_directoryviewpropertysettings.kcfgc
)
kde4_add_unit_test(viewpropertiestest TEST ${viewpropertiestest_SRCS})
target_link_libraries(viewpropertiestest dolphinprivate4 ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY})

=== konqueror/sidebar/default_entries/CMakeLists.txt ===
install( FILES
   home.desktop
   root.desktop
   bookmarks.desktop
   services.desktop
   remote.desktop
   history.desktop
   places.desktop
DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/entries )

=== debian/changelog ===
kde-baseapps (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:10:16 -0700

kde-baseapps (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Debian merge: No remaining changes. 
  * Add missing optional deps. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:34:08 +0100

kde-baseapps (4:15.12.0-1~) UNRELEASED; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Dec 2015 16:09:57 +0100

kde-baseapps (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 06 Jan 2016 13:37:45 +0100

kde-baseapps (4:15.08.3-1) unstable; urgency=medium

  * Add missing Breaks/Replaces. (Closes: #802461) Thanks to Andreas Beckmann
  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:38:39 +0100

kde-baseapps (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).
  * Add the dolphin4 package
  * Update symbols files from buildds logs (4:15.08.1-1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:54 +0200

kde-baseapps (4:15.08.2-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:34 +0100

kde-baseapps (4:15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.0).
  * New upstream release (15.08.1).
  * Add libsoprano-dev build dep.
  * Drop the kde4 version dolphin.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:10:50 +0200

kde-baseapps (4:15.04.3-1) unstable; urgency=medium

  * New upstream release (15.04.1).
  * Update symbols files from buildds logs (4:15.04.0-1).
  * New upstream release (15.04.2).
  * New upstream release (15.04.3).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 10 Jul 2015 10:35:29 +0200

kde-baseapps (4:15.04.0-1) experimental; urgency=medium

  * New upstream release (15.04.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 May 2015 21:55:57 +0200

kde-baseapps (4:14.12.3-1) experimental; urgency=medium

  * Add baloo-kf5 as a dolphin Recommends.
  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:15 +0200

kde-baseapps (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 23 Feb 2015 12:07:49 +0100

kdebase-cvs (4:2.0-19990531-1) experimental; urgency=low

  * Making kdm not require xdm
  * Fixing some pam stuff which includes a /etc/pam.d/kde file, making
    the pam name=kde so that it uses the /etc/pam.d/kde file instead of
    xdm, kdm, or whatever.
  * Fixing the linux fonts for konsole.
  * Fixing the /var/state/kdm issue

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 31 May 1999 19:30:29 -0400

=== debian/control ===
Source: kde-baseapps
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-dev,
               cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.10.60~),
               libdlrestrictions-dev (>= 0.14),
               libglib2.0-dev (>= 2.0~),
               libkactivities-dev,
               libkfilemetadata-dev,
               libphonon-dev (>= 4:4.3.0),
               libqimageblitz-dev (>= 1:0.0.4-2),
               libsoprano-dev,
               libtidy-dev,
               libx11-dev,
               libxkbfile-dev,
               libxrender-dev,
               libxt-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kde-baseapps.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kde-baseapps.git

Package: kde-baseapps
Architecture: all
Depends: dolphin,
         kde-baseapps-bin (>= ${source:Version}),
         kdepasswd (>= ${source:Version}),
         kfind (>= ${source:Version}),
         konqueror (>= ${source:Version}),
         konsole,
         kwrite,
         plasma-widget-folderview (>= ${source:Version}),
         ${misc:Depends}
Recommends: konqueror-nsplugins (>= ${source:Version})
Breaks: kdebase-apps (<< 4:4.7.2)
Replaces: kdebase-apps (<< 4:4.7.2)
Description: base applications from the official KDE release (meta-package)
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package provides core applications for the KDE 4 desktop.

Package: kdebase-apps
Section: oldlibs
Priority: extra
Architecture: all
Depends: kde-baseapps, ${misc:Depends}
Description: Transitional package for kde-baseapps
 This transitional package takes care of pulling in the new kde-baseapps
 package and can safely be removed after installation.

Package: kde-baseapps-bin
Architecture: any
Depends: kde-baseapps-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kcontrol, kdebase-bin (<< 4:4.7.2), kdesktop
Replaces: kdebase-bin (<< 4:4.7.2)
Description: core binaries for the KDE base applications
 This package contains miscellaneous programs needed by other KDE
 applications, particularly those in the KDE base module.
 .
 This package is part of the KDE base applications module.

Package: kdebase-bin
Section: oldlibs
Priority: extra
Architecture: all
Depends: kde-baseapps-bin, ${misc:Depends}
Description: Transitional package for new kde-baseapps
 This transitional package can be safely removed after installation.

Package: kde-baseapps-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kdebase-data (<< 4:4.7.2)
Replaces: kdebase-data (<< 4:4.7.2)
Description: shared data files for the KDE base applications
 This package contains the architecture-independent shared data files needed
 for a basic KDE 4 desktop installation.
 .
 This package is part of the KDE 4 base applications module.

Package: kdepasswd
Section: utils
Architecture: any
Depends: kde-baseapps-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: graphical password changing utility
 kdepasswd allows users to change their password, user icon, and other
 information.  A variety of user icons are included.
 .
 This package is part of the KDE base applications module.

Package: kfind
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: file search utility
 KFind can be used to find files and directories on your system.
 .
 This package is part of the KDE base applications module.

Package: dolphin4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dolphin (<< 4:15.08), kde-baseapps-data (<< 4:15.08.2)
Replaces: dolphin (<< 4:15.08), kde-baseapps-data (<< 4:15.08.2)
Description: file browser
 Dolphin file browser, this kdelibs4 build is mainly for use with
 Konqueror.
 .
 This package is part of the KDE base applications module.

Package: konqueror
Section: web
Architecture: any
Provides: info-browser, man-browser, www-browser
Depends: install-info,
         kde-baseapps-bin (= ${binary:Version}),
         kde-baseapps-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: konq-plugins (>= 4:4.1~)
Recommends: dolphin4,
            kfind,
            konqueror-nsplugins (= ${binary:Version}),
            kpart-webkit
Breaks: kde-baseapps-data (<< 4:4.8.4), kdebase-data (<< 4:4.7.2)
Replaces: kde-baseapps-data (<< 4:4.8.4), kdebase-data (<< 4:4.7.2)
Description: advanced file manager, web browser and document viewer
 Konqueror is the KDE web browser and advanced file manager.
 .
 Konqueror is a standards-compliant web browser, supporting HTML 4.01, Java,
 JavaScript, CSS3, and Netscape plugins such as Flash.
 .
 It supports advanced file management on local UNIX filesystems, with flexible
 views, network transparency, and embedded file viewing.
 .
 It is the canvas for many KDE technologies, from remote file access via KIO to
 component embedding via the KParts object interface, making it one of the most
 customizable applications available.
 .
 This package is part of the KDE base applications module.

Package: konqueror-nsplugins
Section: web
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: gtk-qt-engine (<< 1:1.0)
Description: Netscape plugin support for Konqueror
 Konqueror is the KDE web browser and advanced file manager.
 .
 This package provides a KDE component for enabling the use of
 Netscape/Mozilla/etc browser plugins (such as Adobe Flash) within Konqueror.
 .
 This package is part of the KDE base applications module.

Package: konq-plugins
Architecture: any
Depends: konqueror (>= 4:4.1.0),
         libjpeg-progs,
         python,
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: konqueror
Recommends: imagemagick
Description: plugins for Konqueror, the KDE file/web/document browser
 This package contains a variety of useful plugins for Konqueror, the
 file manager, web browser and document viewer for KDE.  Many of these
 plugins will appear in Konqueror's Tools menu.
 .
 Web navigation plugins:
  - Akregator feed icon: allows one to add a feed to Akregator from Konqueror
  - Auto Refresh: refresh a webpage at a given rate
  - Bookmarklets: enables the use of bookmarklets, bookmarks containing
    JavaScript code
  - Document Relations: displays the document relations of a document
  - DOM Tree Viewer: view the DOM tree of the current page
  - KHTML Settings: fast way to change the JavaScript/images/cookies settings
  - Microformat Icon: displays an icon in the statusbar if the page contains
    a microformat
  - Search Bar: launches web searches from the Konqueror's toolbar
  - Translate: language translation for the current page using Babelfish
  - UserAgent Changer: quick switch of the UserAgent used for the current site
  - Website Validators: CSS and HTML validation tools
  - Web Archiver: creates archives of websites
  - Crash manager: restores your opened tabs if Konqueror crashes (disabled
    by default as Konqueror has this feature builtin)
 .
 File management plugins:
  - Image Gallery: an easy way to generate a HTML image gallery
  - File Size View (kpart): a proportional view of directories and files
    based on file size
  - Transform Image (service menu): rotate and flip images
  - Convert To (service menu): convert and image to another format
  - Directory Filter (dolphin): filter directory views
 .
 This package is part of the KDE base applications module.

Package: libkonq5abi1
Section: libs
Architecture: any
X-Debian-ABI: 1
Depends: libkonq-common (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkonq5abi2 (<< 4:15.08.0-0ubuntu2~)
Replaces: libkonq5abi2 (<< 4:15.08.0-0ubuntu2~)
Description: core libraries for Konqueror
 This package contains libraries used by several KDE 4 applications,
 particularly Konqueror.
 .
 This package is part of the KDE base applications module.

Package: libkonq-common
Section: libs
Architecture: any
Depends: libkonq5-templates, ${misc:Depends}, ${shlibs:Depends}
Replaces: libkonq5 (<< 4:4.4.5-3)
Breaks: libkonq5 (<< 4:4.4.5-3)
Description: core Konqueror library - support files
 This package contains plugins and data files used by the core Konqueror
 library (libkonq).
 .
 This package is part of the KDE base applications module.

Package: libkonq5-templates
Section: libs
Architecture: all
Replaces: kdesktop
Breaks: kdesktop
Depends: ${misc:Depends}
Description: data files for the Konqueror libraries
 This package contains data files used by the Konqueror libraries.
 These files are also provided by the 'kdesktop' package from KDE 3.
 .
 This package is part of the KDE base applications module.

Package: libkonq5-dev
Section: libdevel
Architecture: any
Depends: libkonq5abi1 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkonq5abi1}
Description: development files for the Konqueror libraries
 This package contains development files for building software that uses the
 Konqueror libraries.
 .
 This package is part of the KDE base applications module.

Package: libkonqsidebarplugin4a
Section: libs
Architecture: any
X-Debian-ABI: 0
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: konqueror sidebar plugin library
 This package contains the base library for Konqueror sidebar plugins.
 .
 This package is part of the KDE base applications module.

Package: libkonqsidebarplugin-dev
Section: libdevel
Architecture: any
Depends: libkonqsidebarplugin4a (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkonqsidebarplugin4a}
Description: konqueror sidebar plugin library development files
 This package contains development headers for the Konqueror sidebar plugin
 library.
 .
 This package is part of the KDE base applications module.

Package: plasma-widget-folderview
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: plasma widget showing the content of a folder
 This package contains the Folder View Plasma widget which is capable of
 displaying and managing contents of any KDE supported location. It can be used
 as a replacement for the traditional "desktop" folder concept in the main
 Plasma shell, but it is a lot more flexible. Folder View is part of the
 initial default KDE 4 desktop configuration.
 .
 This package is part of the KDE base applications module.

Package: kde-baseapps-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kde-runtime-dbg, ${misc:Depends}
Suggests: kde-baseapps (= ${source:Version})
Breaks: kdebase-dbg (<< 4:4.7.2)
Replaces: kdebase-dbg (<< 4:4.7.2)
Description: debugging symbols for the KDE base applications module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE base applications module.

Package: kdebase-dbg
Section: oldlibs
Architecture: all
Priority: extra
Depends: kde-baseapps-dbg, ${misc:Depends}
Description: Transitional package for kde-baseapps-dbg
 This transitional package takes care of pulling in the new kde-baseapps-dbg

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_strip:
	$(overridden_command) --dbg-package=kde-baseapps-dbg

## kde-baseapps 16.04.3

=== CMakeLists.txt ===
project(KDEBASE_APPS)

cmake_minimum_required(VERSION 2.8.9)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules )

include(CTest)
include(CTestConfig.cmake)

#search packages used by KDE
find_package(KDE4 4.10.60 REQUIRED)
include (KDE4Defaults)

find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "http://www.zlib.net"
                       TYPE REQUIRED
                       PURPOSE "Required for building Konqueror"
                      )

find_package(KActivities 6.1.0)
set_package_properties(KActivities PROPERTIES DESCRIPTION "Interface library for the activity manager"
                       URL "https://projects.kde.org/kactivities"
                       TYPE RECOMMENDED
                       PURPOSE "Needed for Dolphin integration with activities"
                      )

include(ConfigureChecks.cmake)
configure_file (config-apps.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-apps.h )
include_directories (${CMAKE_CURRENT_BINARY_DIR})

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DDISABLE_NEPOMUK_LEGACY)
add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/lib/konq ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

if ( KActivities_FOUND )
  include_directories (${KACTIVITIES_INCLUDE_DIR})
endif ( KActivities_FOUND )

add_subdirectory( lib )
add_subdirectory( dolphin )
add_subdirectory( kdialog )
add_subdirectory( keditbookmarks )
add_subdirectory( konqueror )
add_subdirectory( kfind )
add_subdirectory( plasma )
add_subdirectory( konq-plugins )

if ( Q_WS_MAC )
  add_subdirectory( kdepasswd )
endif ( Q_WS_MAC )

if ( Q_WS_X11 )
  add_subdirectory( nsplugins )
  add_subdirectory( kdepasswd )
endif ( Q_WS_X11 )
macro_optional_add_subdirectory( doc )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== lib/CMakeLists.txt ===
add_subdirectory (konq)

=== doc/kfind/CMakeLists.txt ===
########### install files ###############
#

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en)
kde4_create_manpage(man-kfind.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== konq-plugins/fsview/CMakeLists.txt ===

add_subdirectory(tests)

########### next target ###############

set(libfsview_SRCS
    treemap.cpp
    fsview.cpp
    scan.cpp
    inode.cpp
    )


########### next target ###############

set(fsview_SRCS main.cpp ${libfsview_SRCS} )

kde4_add_executable(fsview ${fsview_SRCS})

target_link_libraries(fsview  ${KDE4_KIO_LIBS})

install(TARGETS fsview ${INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

set(fsviewpart_PART_SRCS fsview_part.cpp ${libfsview_SRCS})

kde4_add_plugin(fsviewpart  ${fsviewpart_PART_SRCS})

target_link_libraries(fsviewpart  ${KDE4_KPARTS_LIBS}  konq )

install(TARGETS fsviewpart  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES fsview_part.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES fsview_part.rc  DESTINATION  ${DATA_INSTALL_DIR}/fsview )

kde4_install_icons( ${ICON_INSTALL_DIR}   )

=== konq-plugins/imagerotation/CMakeLists.txt ===

#if(NOT WIN32)
#  install( FILES jpegorient.desktop DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus )
#  install( PROGRAMS exif.py jpegorient orient.py DESTINATION ${BIN_INSTALL_DIR} )
#endif(NOT WIN32)

install( FILES imageconverter.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus )

=== konq-plugins/khtmlsettingsplugin/CMakeLists.txt ===




########### next target ###############

set(khtmlsettingsplugin_PART_SRCS settingsplugin.cpp )

kde4_add_plugin(khtmlsettingsplugin  ${khtmlsettingsplugin_PART_SRCS})



target_link_libraries(khtmlsettingsplugin  ${KDE4_KPARTS_LIBS} )

install(TARGETS khtmlsettingsplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES khtmlsettingsplugin.rc khtmlsettingsplugin.desktop  DESTINATION  ${DATA_INSTALL_DIR}/khtml/kpartplugins )
install( FILES khtmlsettingsplugin.rc khtmlsettingsplugin.desktop  DESTINATION  ${DATA_INSTALL_DIR}/kwebkitpart/kpartplugins )

=== konq-plugins/minitools/CMakeLists.txt ===




########### next target ###############

set(minitoolsplugin_PART_SRCS minitoolsplugin.cpp )

kde4_add_plugin(minitoolsplugin ${minitoolsplugin_PART_SRCS})



target_link_libraries(minitoolsplugin  ${KDE4_KHTML_LIBS} )

install(TARGETS minitoolsplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES minitoolsplugin.rc minitoolsplugin.desktop  DESTINATION  ${DATA_INSTALL_DIR}/khtml/kpartplugins )

=== plasma/applets/CMakeLists.txt ===
add_subdirectory(folderview)

=== konq-plugins/fsview/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )


include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. )

########### next target ###############

set(libfsview_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/../treemap.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../fsview.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../scan.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../inode.cpp
    )


set(scantest_SRCS scantest.cpp ${libfsview_SRCS})

kde4_add_executable(scantest TEST ${scantest_SRCS})

target_link_libraries(scantest  ${KDE4_KIO_LIBS})

=== konq-plugins/searchbar/opensearch/CMakeLists.txt ===
add_subdirectory( engines )

=== lib/konq/favicons/CMakeLists.txt ===
set(kded_favicons_SRCS favicons.cpp )

qt4_add_dbus_adaptor(kded_favicons_SRCS org.kde.FavIcon.xml favicons.h FavIconsModule favicons_adaptor FavIconsAdaptor)

kde4_add_plugin(kded_favicons ${kded_favicons_SRCS})

target_link_libraries( kded_favicons ${KDE4_KIO_LIBS} )


install(TARGETS kded_favicons  DESTINATION ${PLUGIN_INSTALL_DIR} )

########### install files ###############

install( FILES favicons.desktop  DESTINATION  ${SERVICES_INSTALL_DIR}/kded )

install( FILES org.kde.FavIcon.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )

=== debian/changelog ===
kde-baseapps (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

  [ José Manuel Santamaría Lema ]
  * Update dolphin4 lintian override for package-name-doesnt-match-
    sonames

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:28:50 +0200

kde-baseapps (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:19 +0100

kdebase (4:3.5.8-2ubuntu18) hardy; urgency=low

  * Edited debian/patches/70_kdm_consolekit.diff to fix a crash
    when attempting to connect to local kdm via XDMCP (Closes LP: #178242)
    Thanks to Paul Brook for debbuging this, and to Zoogie for reporting this

 -- Maxim Levitsky <maximlevitsky@gmail.com>  Tue, 06 Feb 2008 00:39:44 +0000

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,11 @@
                cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.10.60~),
+               kdelibs5-dev (>= 4:4.14.22~),
                libdlrestrictions-dev (>= 0.14),
                libglib2.0-dev (>= 2.0~),
                libkactivities-dev,
+               libkf5baloowidgets-dev (>= 4:16.04.3~),
                libkfilemetadata-dev,
                libphonon-dev (>= 4:4.3.0),
                libqimageblitz-dev (>= 1:0.0.4-2),
@@ -30,8 +31,8 @@
                zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kde-baseapps.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kde-baseapps.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-baseapps
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-baseapps
 
 Package: kde-baseapps
 Architecture: all
@@ -300,23 +301,3 @@
  initial default KDE 4 desktop configuration.
  .
  This package is part of the KDE base applications module.
-
-Package: kde-baseapps-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: kde-runtime-dbg, ${misc:Depends}
-Suggests: kde-baseapps (= ${source:Version})
-Breaks: kdebase-dbg (<< 4:4.7.2)
-Replaces: kdebase-dbg (<< 4:4.7.2)
-Description: debugging symbols for the KDE base applications module
- This package contains debugging files used to investigate problems with
- binaries included in the KDE base applications module.
-
-Package: kdebase-dbg
-Section: oldlibs
-Architecture: all
-Priority: extra
-Depends: kde-baseapps-dbg, ${misc:Depends}
-Description: Transitional package for kde-baseapps-dbg
- This transitional package takes care of pulling in the new kde-baseapps-dbg

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 	:
 
 override_dh_strip:
-	$(overridden_command) --dbg-package=kde-baseapps-dbg
+	$(overridden_command) --ddeb-migration='kde-baseapps-dbg (<= 4:15.12.1-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kde-baseapps-([\d.]+).tar.xz
